<html devsite><head>
    <title>开始使用 TF</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>Trade Federation 是一个大型测试架构，可通过调整来适应各种不同的用途，大多数人可能只需要使用它的部分功能。首先，我们设想 TF 用户主要担任三种角色：开发者、集成者和测试运行者。某个特定人员可能担任其中一种或全部三种角色，但我们认为，按照三种不同角色的区分来浏览文档可能会更轻松。</p>

<h2>开发者</h2>
<p>开发者的主要工作是创建使用 Java 语言编写的 TF 模块。他们还会编写配置并执行测试，但这样做通常是为了验证他们的模块是否可以正确调用并按预期效果运行。</p>

<h2>集成者</h2>
<p>集成者的主要工作是创建 XML 测试配置或命令文件（使用类似 shell 的简单语言编写）。他们将开发者编写的 TF 模块与特定测试要求和目标所需的特定配置相结合。</p>

<h2>测试运行者</h2>
<p>测试运行者的主要工作是执行测试，确保生成测试结果，并且生成的测试结果具有相关性、可重现性，而且是准确无误的。他们把大部分时间用于与 tradefed 的命令行界面进行交互，并且还将验证结果是否合理。</p>

<p>为了充分利用 Trade Federation，三种角色都需要有人担任，缺一不可。开发者和集成者共同协作，来实现 TF 与架构的其他部分（如构建系统和测试结果存储库）的交互。集成者和测试运行者共同协作，确保 TF 能实际运行所需的测试，并产生所需的测试结果。测试运行者则需要识别出无意义的结果，并与开发者和集成者协作来找出存在错误的地方，并将其修复。</p>

<h2>后续说明</h2>
<p>我们建议担任这三种角色的人员至少完整浏览一遍本文档的其余内容。
<a href="/devices/tech/test_infra/tradefed/fundamentals/machine_setup.html">机器设置</a>将介绍如何搭建 TF 运行环境。<a href="/devices/tech/test_infra/tradefed/fundamentals/devices.html">使用设备</a>将介绍如何使用真实设备、模拟器或不借助设备来运行测试。<a href="/devices/tech/test_infra/tradefed/fundamentals/lifecycle.html">测试生命周期</a>页面将从理论上说明开发者、集成者和测试运行者如何互动。<a href="/devices/tech/test_infra/tradefed/fundamentals/options.html">选项处理</a>则演示如何将该理论付诸实践。</p>

<p>最后，<a href="/devices/tech/test_infra/tradefed/full_example.html">端到端示例</a>会逐步介绍样本测试的开发、集成和部署过程。它涵盖了每个角色的各个方面，并提供了一些提示，指导您处理文档中未直接讨论的更复杂事项。</p>

<p>如果您已经阅读了本文档的所有内容，但仍有疑问，请先查阅 <a href="https://android.googlesource.com/platform/tools/tradefederation/+/master">Trade Federation 源代码</a>。此外，您还可以随时在 <a href="/setup/community.html">android-platform</a> Google 网上论坛中提问。为获得最有用的解答，请务必在消息主题中提及“Trade Federation”（或“tradefed”或“TF”）。</p>

</body></html>